
{*******************************************************}
{                                                       }
{       Graphics Vision Example program                 }
{                                                       }
{       Copyright (c) 1996 Stefan Milius                }
{                                                       }
{*******************************************************}

(* This application shows:

      - a light show
      - not to be taken too serious
*)

Uses GVApp, GVMsgBox, GVLight, GVTexts;

type

  TDemoApp = object(TApplication)
               constructor Init;
               function LanguageResource: String; virtual;
             end;

constructor TDemoApp.Init;
Begin
  inherited Init;
  Insert(New(PLightShow, Init));
  MessageBox(GetStr(738), nil, mfOKButton + mfInformation);
End;

function TDemoApp.LanguageResource: String;
Begin
  LanguageResource := 'EXAM.GVL';
End;

var App: TDemoApp;

Begin
  Language := lfEnglish;
  App.Init;
  App.Run;
  App.Done;
End.
